Package ru.bgcrm.model.param

# Class Parameter

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.model.base.IdTitleComment
org.bgerp.model.param.Parameter
ru.bgcrm.model.param.Parameter

All Implemented Interfaces:
  `Serializable`, `Comment`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

@Deprecated public class Parameter extends Parameter
Deprecated.

See Also:
  - `Parameter`
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.model.param.Parameter

  `Parameter.Type`

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.param.Parameter

  `LIST_PARAM_AVAILABLE_VALUES_INNER_JOIN_FILTER_KEY, LIST_PARAM_AVAILABLE_VALUES_KEY, LIST_PARAM_USE_DIRECTORY_KEY, PARAM_MULTIPLE_KEY, TYPE_ADDRESS, TYPE_BLOB, TYPE_DATE, TYPE_DATETIME, TYPE_EMAIL, TYPE_FILE, TYPE_LIST, TYPE_LISTCOUNT, TYPE_MONEY, TYPE_PHONE, TYPE_TEXT, TYPE_TREE, TYPE_TREECOUNT, TYPES`

  ### Fields inherited from class org.bgerp.model.base.IdTitleComment

  `comment`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameter()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class org.bgerp.model.param.Parameter

  `getConfig, getConfigMap, getDateParamFormat, getListCountDefaultValues, getListParamValues, getObject, getObjectType, getOrder, getShowAsLink, getType, getTypeType, getValuesConfig, isReadonly, setConfig, setObject, setObjectType, setOrder, setType, setValuesConfig, toString, withComment, withConfig, withObjectType, withOrder, withTitle, withType, withValuesConfig`

  ### Methods inherited from class org.bgerp.model.base.IdTitleComment

  `getComment, setComment`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### Parameter

    public Parameter()
    Deprecated.